> ## Documentation Index
> Fetch the complete documentation index at: https://docs.together.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List model files

> Lists files in the latest or specified revision of a model, including paths, sizes, and content hashes.



## OpenAPI

````yaml GET /projects/{projectId}/models/{id}/files
openapi: 3.1.0
info:
  title: Together APIs
  description: The Together REST API. See https://docs.together.ai for more details.
  version: 2.0.0
  termsOfService: https://www.together.ai/terms-of-service
  contact:
    name: Together Support
    url: https://www.together.ai/contact
  license:
    name: MIT
    url: https://github.com/togethercomputer/openapi/blob/main/LICENSE
servers:
  - url: https://api.together.ai/v1
    description: Default environment for APIs
  - url: https://api-inference.together.ai/v2
    description: Optimized environment for inference
security:
  - bearerAuth: []
paths:
  /projects/{projectId}/models/{id}/files:
    get:
      tags:
        - VolumeService
      summary: List model files
      description: >-
        Lists files in the latest or specified revision of a model, including
        paths, sizes, and content hashes.
      operationId: VolumeService_ListModelFiles
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            description: Project identifier.
            type: string
        - name: id
          in: path
          required: true
          schema:
            description: Model identifier.
            type: string
        - name: revisionId
          in: query
          schema:
            type: string
            description: Revision identifier to read from.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DE.ListFilesResponse'
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorData'
      servers:
        - url: https://api.together.ai/v2
components:
  schemas:
    DE.ListFilesResponse:
      type: object
      required:
        - data
        - object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/DE.ListFilesResponseFile'
          description: Files in the selected model revision.
        next_cursor:
          type: string
          description: Cursor for the next page. Null if there are no more results.
        object:
          const: list
        revisionId:
          type: string
          description: ID of the model revision whose files are listed.
        revisionCreatedAt:
          type: string
          format: date-time
          description: Time when the listed model revision was created.
        totalSizeBytes:
          type: string
          description: Total size of all files in the revision, in bytes.
      description: Files and aggregate size information for one model revision.
    ErrorData:
      type: object
      required:
        - error
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              nullable: false
            type:
              type: string
              nullable: false
            param:
              type: string
              nullable: true
              default: null
            code:
              type: string
              nullable: true
              default: null
          required:
            - type
            - message
    DE.ListFilesResponseFile:
      type: object
      properties:
        path:
          type: string
          description: File path within the model revision.
        hash:
          type: string
          description: Content hash for integrity verification and upload deduplication.
        sizeBytes:
          type: string
          description: File size in bytes.
      description: Metadata for one file in a model revision.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-bearer-format: bearer
      x-default: default

````